Billing API

Manage your subscription, view billing details, and access invoice history.


GET/auth/billing/subscription

Subscription

Retrieve your current subscription details including plan, billing cycle, and credits allocation.

Request

GET
/auth/billing/subscription

Response


Schema

Subscription Object

FieldTypeDescription
idintegerSubscription ID
user_idintegerUser ID
plan_idstringPlan identifier (e.g., starter, pro, enterprise)
plan_namestringHuman-readable plan name
statusstringSubscription status: active, paused, cancelled, expired
billing_cyclestringmonthly, yearly
pricefloatSubscription price
currencystringCurrency code (EUR, USD, etc.)
included_creditsfloatMonthly/annual credits included
credits_usedfloatCredits consumed this period
credits_remainingfloatCredits remaining this period
featuresarrayList of enabled features
current_period_startdatetimeCurrent billing period start
current_period_enddatetimeCurrent billing period end
trial_ends_atdatetimeTrial end date (if applicable)
cancelled_atdatetimeCancellation date (if cancelled)
created_atdatetimeSubscription creation time
updated_atdatetimeLast update time

Subscription Status

StatusDescription
activeSubscription is active and billing
pausedSubscription temporarily paused
cancelledSubscription has been cancelled
expiredSubscription has expired

Was this page helpful?